﻿/* CSS Document */
@charset "UTF-8";

@font-face {
    font-family: 'Vazir';
    src: url('../fonts/Vazir.eot');
    src: local('../Client/fonts/Vazir'), url('../fonts/Vazir.woff') format('woff'), url('../Client/fonts/Vazir.ttf') format('truetype'), url('../Client/fonts/Vazir.svg') format('svg');
}

* {
  box-sizing: border-box;
  font-family: "Vazir";
}

body {
  background: #f6f5f7;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 100vh;
  margin: -20px 0 50px;
  font-family: "Vazir";
  direction: rtl;
}

h1 {
  font-weight: bold;
  margin: 0;
}

h2 {
  text-align: center;
}

p {
  font-size: 14px;
  font-weight: 100;
  line-height: 20px;
  letter-spacing: 0.5px;
  margin: 20px 0 30px;
}

span {
  font-size: 12px;
}

a {
  color: #333;
  font-size: 14px;
  text-decoration: none;
  margin: 15px 0;
}

button {
  border-radius: 20px;
  border: 1px solid #FF4B2B;
  background-color: #FF4B2B;
  color: #FFFFFF;
  font-size: 12px;
  font-weight: bold;
  padding: 12px 45px;
  letter-spacing: 1px;
  text-transform: uppercase;
  transition: transform 80ms ease-in;
}

button:active {
  transform: scale(0.95);
}

button:focus {
  outline: none;
}

button.ghost {
  background-color: transparent;
  border-color: #FFFFFF;
}

form {
  background-color: #FFFFFF;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 0 20px;
  height: 100%;
  text-align: center;
}

input {
  background-color: #eee;
  border: none;
  padding: 12px 15px;
  margin: 8px 0;
  width: 100%;
}

.container {
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 14px 28px rgba(0,0,0,0.25),
  0 10px 10px rgba(0,0,0,0.22);
  position: relative;
  overflow: hidden;
  width: 768px;
  max-width: 100%;
  min-height: 480px;
}

.form-container {
  position: absolute;
  top: 0;
  height: 100%;
  transition: all 0.6s ease-in-out;
}

.sign-in-container {
  right: 0;
  width: 50%;
  z-index: 2;
}

.container.left-panel-active .sign-in-container {
  transform: translateX(-100%);
}

.sign-up-container {
  right: 0;
  width: 50%;
  opacity: 0;
  z-index: 1;
}

.container.left-panel-active .sign-up-container {
  transform: translateX(-100%);
  opacity: 1;
  z-index: 5;
  animation: show 0.6s;
}

@keyframes show {
  0%, 49.99% {
    opacity: 0;
    z-index: 1;
  }

  50%, 100% {
    opacity: 1;
    z-index: 5;
  }
}

.overlay-container {
  position: absolute;
  top: 0;
  right: 50%;
  width: 50%;
  height: 100%;
  overflow: hidden;
  transition: transform 0.6s ease-in-out;
  z-index: 100;
}

.container.left-panel-active .overlay-container{
  transform: translateX(100%);
}

.overlay {
  background: #FF416C;
  background: -webkit-linear-gradient(to left, #FF4B2B, #FF416C);
  background: linear-gradient(to left, #FF4B2B, #FF416C);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 0 0;
  color: #FFFFFF;
  position: relative;
  right: -100%;
  height: 100%;
  width: 200%;
  transform: translateX(0);
  transition: transform 0.6s ease-in-out;
}

.container.left-panel-active .overlay {
  transform: translateX(-50%);
}

.overlay-panel {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 0 40px;
  text-align: center;
  top: 0;
  height: 100%;
  width: 50%;
  transform: translateX(0);
  transition: transform 0.6s ease-in-out;
}

.overlay-right {
  transform: translateX(20%);
}

.container.left-panel-active .overlay-right {
  transform: translateX(0);
}

.overlay-left {
  left: 0;
  transform: translateX(0);
}

.container.left-panel-active .overlay-left {
  transform: translateX(-20%);
}

.social-container {
  margin: 20px 0;
}

.social-container a {
  border: 1px solid #DDDDDD;
  border-radius: 50%;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  margin: 0 ;
  height: 40px;
  width: 40px;
}

footer {
  background-color: #222;
  color: #fff;
  font-size: 14px;
  bottom: 0;
  position: fixed;
  right: 0;
  left: 0;
  text-align: center;
  z-index: 999;
}

footer p {
  margin: 10px 0;
}

footer i {
  color: red;
}

footer a {
  color: #3c97bf;
  text-decoration: none;
}


.app__page-title {
    color: #a3a3a6;
    font-size: 20px;
    font-weight: normal;
    margin: 0 auto;
    padding: 16px 0 32px 0;
}

.app__pages-wrapper {
    min-height: 100vh;
    padding: 4.125em 1em;
    position: relative;
    overflow-x: auto;
}

@media (min-width: 960px) {
    .app__pages-wrapper {
        padding-bottom: 0;
        padding-right: 6.6875em;
        padding-left: 32px;
    }
}

.app__forms-wrapper--mini {
    margin: 0 auto;
    max-width: 960px;
}

.app__hide {
    display: none !important;
}

.app--center {
    text-align: center;
}

.app--right {
    text-align: right;
}

.app--left {
    text-align: left;
}

.app__section {
    background: #ffffff;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.16);
    margin-bottom: 16px;
    min-height: 48px;
    padding: 16px;
    padding-top: 64px;
    position: relative;
    transition: all ease-in-out 0.4s;
}

.app__section__header {
    background: #007BF7;
    color: #ffffff;
    font-size: 14px;
    font-weight: bold;
    height: 48px;
    line-height: 48px;
    padding: 0 16px;
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
}

.app__section__settings {
    float: left;
    height: 48px;
    line-height: 48px;
    position: relative;
}

.app__section__settings__menu-btn {
    background-color: transparent;
    background-image: url("/Client/Images/open-menu.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 24px;
    border: none;
    cursor: pointer;
    height: 48px;
    margin-left: -16px;
    outline: none;
    padding: 0;
    text-align: center;
    width: 48px;
}

    .app__section__settings__menu-btn:hover {
        background-color: #0055ab;
    }

.app__section__settings__popup {
    background: #ffffff;
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.26);
    height: 0;
    left: 10px;
    line-height: 1.8;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    top: 38px;
    transition: opacity linear 0.15s;
    width: 210px;
    z-index: 5;
}

.app__section__settings__popup--active {
    height: auto;
    opacity: 1;
}

.app__section__settings__action-btn {
    background: transparent;
    border: none;
    color: #00101d;
    cursor: pointer;
    display: block;
    font-family: "Shabnam";
    font-size: 12px;
    height: 42px;
    padding: 0 15px;
    text-align: right;
    width: 100%;
}

    .app__section__settings__action-btn:hover {
        background: #f5f5f5;
        color: #007BF7;
    }

.app__section__settings__action-icon {
    display: inline-block;
    margin-left: 5px;
    vertical-align: middle;
    width: 12px;
}

.app__section__body {
    overflow-y: visible;
    position: relative;
    transition: height linear 0.2s;
}

.app__section--maximized {
    bottom: 0;
    height: 100%;
    left: 0;
    position: fixed;
    right: 0;
    top: 0;
    width: 100%;
    z-index: 999950;
}

    .app__section--maximized .app__section__body {
        height: 100%;
        overflow-y: auto;
    }

.app__section--minimized {
    min-height: 48px;
    padding: 0;
    overflow: visible;
}

    .app__section--minimized .app__section__body {
        height: 0;
        opacity: 0;
        overflow: hidden;
    }

.app__section--success .app__section__header {
    background: #35B86B;
}

.app__grid-wrapper {
    overflow-x: auto;
}

.app--danger {
    color: #f44336;
}

.app--warning {
    color: #ff9800;
}

.app--info {
    color: #03a9f4;
}

.app--success {
    color: #35B86B;
}

.app--primary {
    color: #007BF7;
}

.filter-form {
    background: #f5f5f5;
    border: 1px solid #cfcfcf;
    margin: 0 auto 15px auto;
    max-width: 900px;
    padding: 8px 15px;
}

.filter-form__action-wrapper {
    padding-top: 5px;
}

@media (min-width: 960px) {
    .filter-form__action-wrapper {
        padding-top: 30px;
    }
}

.filter-form__clear-wrapper {
    padding-top: 5px;
}

.filter-form__btn {
    display: inline-block;
    width: auto;
}

.filter-form--big {
    max-width: 1300px;
}
.app__form-error {
    background: #f44336;
    border-radius: 2px;
    color: #ffffff;
    display: inline-block;
    font-size: 12px;
    font-weight: normal;
    margin-top: 8px;
    padding: 2px 15px;
    position: relative;
}

    .app__form-error:after {
        border-bottom: 5px solid #f44336;
        border-left: 5px solid transparent;
        border-right: 5px solid transparent;
        content: "";
        right: 5px;
        position: absolute;
        top: -5px;
    }